classification
Title: Fix test discovery for test_array.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-01-07 22:40 by zach.ware, last changed 2013-01-10 04:07 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_array.diff zach.ware, 2013-01-07 22:40 test_array.py fix, version 1 review
test_array.v2.diff zach.ware, 2013-01-09 15:47 Version 2 review
Messages (4)
msg179291 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-07 22:40
Here's a patch to fix test_array.py
msg179458 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-09 15:47
Version 2 removes test_main() and associated ``tests`` list.
msg179516 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-10 04:06
New changeset 1538307c06c0 by Ezio Melotti in branch '3.3':
#16888: test_array now works with unittest test discovery.  Patch by Zachary Ware.
http://hg.python.org/cpython/rev/1538307c06c0

New changeset 16c58eeca0f8 by Ezio Melotti in branch 'default':
#16888: merge with 3.3.
http://hg.python.org/cpython/rev/16c58eeca0f8
msg179517 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-10 04:07
Fixed, thanks for the patch!
History
Date User Action Args
2013-01-10 04:07:29ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg179517

stage: needs patch -> resolved
2013-01-10 04:06:53python-devsetnosy: + python-dev
messages: + msg179516
2013-01-09 15:47:26zach.waresetfiles: + test_array.v2.diff

messages: + msg179458
2013-01-07 22:54:27ezio.melottisetassignee: ezio.melotti
stage: needs patch
2013-01-07 22:42:58ezio.melottilinkissue16748 dependencies
2013-01-07 22:40:41zach.warecreate